%global momorel 2

Summary:        memcached is a high-performance, distributed memory object caching system
Name:           memcached
Version:        1.4.5
Release:        %{momorel}m%{?dist}
Group:          System Environment/Daemons
License:        Modified BSD
URL:            http://www.danga.com/memcached/
Source0:        http://memcached.googlecode.com/files/memcached-%{version}.tar.gz
Source1:        memcached.init
NoSource:       0
Patch1:         memcached-1.4.1-install-dir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       chkconfig
Requires:       libevent >= 1.4.1
BuildRequires:  libevent-devel >= 1.4.1

%description
memcached is a high-performance, distributed memory object caching
system, generic in nature, but intended for use in speeding up dynamic
web applications by alleviating database load.


%prep
%setup -q
%patch1 -p1 
autoreconf -fi

%build
%configure --enable-threads --program-prefix=''
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}

DESTDIR=%{buildroot} \
make install

# Perl script for monitoring memcached
install -Dp -m0755 scripts/memcached-tool %{buildroot}%{_sbindir}/memcached-tool

%{__install} -d %{buildroot}%{_sysconfdir}/init.d
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/memcached


%clean
rm -rf %{buildroot}

$check
make test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS INSTALL ChangeLog COPYING AUTHORS
%doc doc/protocol.txt doc/readme.txt doc/threads.txt
%{_sbindir}/memcached
%{_sbindir}/memcached-tool
%{_mandir}/man1/memcached.1*
%{_sysconfdir}/init.d/memcached
%dir %{_includedir}/memcached
%{_includedir}/memcached/protocol_binary.h

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.5-2m)
- full rebuild for mo7 release

* Mon Aug  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-1m)
- update to 1.4.5

* Sat May  8 2010 Nishio Futoshi <futoshi-momonga-linux.org>
- (1.4.3-2m)
- add %%dir

* Tue Apr 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.3-1m)
- [SECURITY] CVE-2010-1152
- update to 1.4.3

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.4.2-1m)
- update 1.4.2

* Mon Jun  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.8-1m)
- [SECURITY] CVE-2009-1255
- update to 1.2.8

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.4-4m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.4-3m)
- update Patch1 for fuzz=0
- License: Modified BSD

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.4-2m)
- rebuild against gcc43

* Sat Jan  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4
- rebuild against libevent-1.4.1-0.1.1m

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.3-2m)
- rebuild against libevent-1.3e

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3
- rebuild against libevent-1.3d
- import memcached-1.2.3-save_pid_fix.patch from Fedora devel
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2
- rebuild against libevent-1.3c

* Wed Jul 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-3m)
- Requires: chkconfig

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.1-2m)
- rebuild against libevent-1.3b

* Wed Feb 21 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.1-1m)
- up to 1.2.1
- rebuild against libevent-1.3a

* Tue Feb 28 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.1.12-2m)
- add init script

* Wed Feb 2 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.1.12-1m)
- Initial version
- no start script yet
